<?php
/*
Module Name: Title Page
Module Type: layout
Settings:
    title: text
    subtitle: text
    author_name: text
    top_logo: image
    bottom_left_logo: image
    bottom_right_logo: image
    logo_size: slider
*/
?>

<div class="title-page-container">

    <!-- Top Logo (Placeholder) -->
<div class="top-logo">
    <img 
        id="topLogoPlaceholder" 
        src="<?= base_url('logo-placeholder-image.png'); ?>" 
        alt="Logo Placeholder"
    />
</div>

    <!-- Title & Subtitle Section -->
    <div class="title-section">
        <!-- Horizontal line above the main title/subtitle -->
        <div class="title-line"></div>
        
        <h1 id="title">Enter Title Here</h1>
        <h2 id="subtitle">Enter Subtitle Here</h2>
        
        <!-- Horizontal line below the subtitle -->
        <div class="title-line"></div>
        
        <h3 id="authorName">By Author Name</h3>
    </div>

    <!-- "Begin" Button -->
    <div class="begin-button">
        <button id="beginButton">Begin</button>
    </div>

    <!-- Bottom Logos (Placeholders) -->
    <div class="bottom-logos">
        <div class="logo-container left-logo">
            <img
                id="bottomLeftLogoPlaceholder"
                src="<?= base_url('logo-placeholder-image.png'); ?>"
                alt="Left Logo"
            />
        </div>
        <div class="logo-container right-logo">
            <img
                id="bottomRightLogoPlaceholder"
                src="<?= base_url('logo-placeholder-image.png'); ?>"
                alt="Right Logo"
            />
        </div>
    </div>
</div>
